> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Bulk create aliases for a custom notation

POST https://{tenant_name}.benchling.com/api/v2-beta/custom-notation-aliases:bulk-create
Content-Type: application/json

Bulk create aliases for a custom notation

Reference: https://docs.benchling.com/docs/api/v2-beta/benchling-api-beta/custom-notation-aliases/bulk-create-custom-notation-aliases

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects a CustomNotationAliasBulkCreate.

- `aliases` (list of CustomNotationAliasCreate, required)

## Response

### 200

Returns the custom notation aliases that were created.

- `aliases` (list of CustomNotationAlias, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

### 403 Forbidden Error

Forbidden

- `error` (ForbiddenErrorError, optional)

### 404 Not Found Error

Not Found

- `error` (NotFoundErrorError, optional)

## Types

### CustomNotationAliasCreate

- `baseMonomerId` (string, required) — The API identifier of the base monomer represented in this token.
- `customNotationId` (string, required) — The API identifier of the custom notation with which to associate this alias.
- `phosphateMonomerId` (string, required, nullable) — The API identifier of the phosphate monomer represented in this token.
- `sugarMonomerId` (string, required) — The API identifier of the sugar monomer represented in this token.
- `token` (string, required) — An arbitrary string token to represent this modified nucleotide.
- `rank` (double, optional, nullable, default: 1) — The rank of the token. It is possible to configure multiple aliases for the same monomers, in which case rank determines precedence when generating custom notation from a Benchling sequence. Lower ranks denote higher priority.
- `tokenVariantEnd` (string, optional, nullable) — Optional variant form of alias token, only valid for the last 3' nucleotide on a modified sequence.
- `tokenVariantStart` (string, optional, nullable) — Optional variant form of alias token, only valid for the first 5' nucleotide on a modified sequence.

### CustomNotationAlias

- `baseMonomerId` (string, optional)
- `customNotationId` (string, optional)
- `id` (string, optional)
- `phosphateMonomerId` (string, optional, nullable)
- `rank` (double, optional)
- `sugarMonomerId` (string, optional)
- `token` (string, optional)
- `tokenVariantEnd` (string, optional, nullable)
- `tokenVariantStart` (string, optional, nullable)

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

### ForbiddenErrorError

- `invalidId` (string, optional)
- `message` (string, optional)
- `type` (string, optional)
- `userMessage` (string, optional)

### NotFoundErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)
- `invalidId` (string, optional)

## Examples

**Request**

```json
{
  "aliases": [
    {
      "baseMonomerId": "string",
      "customNotationId": "string",
      "phosphateMonomerId": "string",
      "sugarMonomerId": "string",
      "token": "string"
    }
  ]
}
```

**Response**

```json
{
  "aliases": [
    {
      "baseMonomerId": "mon_a1b2c3",
      "customNotationId": "sntx_a1b2c3",
      "id": "sntxals_a1b2c3",
      "phosphateMonomerId": "mon_a1b2c3",
      "rank": 1.1,
      "sugarMonomerId": "mon_a1b2c3",
      "token": "string",
      "tokenVariantEnd": "string",
      "tokenVariantStart": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2-beta/custom-notation-aliases:bulk-create"

payload = { "aliases": [
        {
            "baseMonomerId": "string",
            "customNotationId": "string",
            "phosphateMonomerId": "string",
            "sugarMonomerId": "string",
            "token": "string"
        }
    ] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2-beta/custom-notation-aliases:bulk-create';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"aliases":[{"baseMonomerId":"string","customNotationId":"string","phosphateMonomerId":"string","sugarMonomerId":"string","token":"string"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```